支付
获取支付单详情
进入收银台时调用,获取支付单详情信息。
- URL:
/app-api/pay/order/get - Method:
GET - 需要鉴权:是
请求参数
| 参数 | 类型 | 约束 | 说明 |
|---|---|---|---|
| id | Long | 必传 | 支付单编号 |
| sync | Boolean | - | 是否同步订单状态,默认 true |
请求示例
GET /app-api/pay/order/get?id=472&sync=true
响应示例
{
"code": 0,
"data": {
"appId": 1,
"channelId": null,
"channelCode": null,
"merchantOrderId": "383",
"subject": "商品标题",
"body": "商品描述",
"notifyUrl": "http://127.0.0.1:48081/app-api/trade/order/update-paid",
"price": 1801,
"channelFeeRate": 0,
"channelFeePrice": 0,
"status": 0,
"userIp": "0:0:0:0:0:0:0:1",
"expireTime": 1743673502000,
"successTime": 1743587090000,
"extensionId": null,
"no": null,
"refundPrice": 0,
"channelUserId": null,
"channelOrderNo": null,
"walletCombinationPaymentPrice": 0,
"walletCombinationRefundPrice": 0,
"id": 383,
"createTime": 1743587102000,
"isVirtualSpuBoolean": true
},
"msg": "成功"
}
响应说明
| 参数 | 类型 | 说明 |
|---|---|---|
| id | Long | 支付订单编号 |
| appId | Long | APPID,对应 APP 应用 |
| channelId | Long | 渠道编号 |
| channelCode | String | 渠道编码 |
| merchantOrderId | String | 商户侧订单编号 |
| subject | String | 商品标题 |
| body | String | 商品描述 |
| notifyUrl | String | 异步通知地址 |
| price | Long | 支付金额,单位:分 |
| channelFeeRate | Double | 渠道手续费,单位:百分比 |
| channelFeePrice | Long | 渠道手续金额,单位:分 |
| status | Long | 支付状态 |
| userIp | String | 用户 IP |
| expireTime | Long | 订单失效时间 |
| successTime | Long | 订单支付成功时间 |
| extensionId | Long | 支付成功的订单拓展单编号 |
| no | String | 支付订单号 |
| refundPrice | Long | 退款金额,单位:分 |
| channelUserId | Long | 渠道用户编号 |
| channelOrderNo | String | 渠道订单号 |
| createTime | Long | 创建时间 |
| walletCombinationPaymentPrice | Long | 钱包支付金额,默认 0。组合支付时大于 0,此时订单总支付金额为 price + walletCombinationPaymentPrice |
| walletCombinationRefundPrice | Long | 组合支付退款时,钱包退回的金额 |
| isVirtualSpuBoolean | Boolean | true 含虚拟商品,不能使用钱包支付;false 不含虚拟商品,可以钱包支付 |
说明
部分字段暂时用不到,可以忽略。